List voice overs
curl --request GET \
--url https://api.tryhamsa.com/v2/voice-overs \
--header 'Authorization: <api-key>'import requests
url = "https://api.tryhamsa.com/v2/voice-overs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tryhamsa.com/v2/voice-overs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhamsa.com/v2/voice-overs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tryhamsa.com/v2/voice-overs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tryhamsa.com/v2/voice-overs")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhamsa.com/v2/voice-overs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "success",
"data": {
"voiceOvers": [
{
"id": "bd0ebca4-a16e-488b-b195-4690792259c7",
"title": "A 30-second ad for a new coffee shop in Cairo",
"prompt": "A 30-second ad for a new coffee shop in Cairo",
"media": null,
"type": "COMMERCIAL",
"status": "APPROVED",
"totalCost": 2,
"voiceOverSuggestions": [
{
"id": "c816c6f6-9d49-4b5d-8c87-4a7a24fc8af1",
"status": "COMPLETED",
"approved": true,
"audio": "https://cdn.example.com/voice-overs/take.wav?Signature=...",
"voiceOverText": "ابدأ يومك بقهوة تستحقها...",
"ttsVoiceId": "6a1f0c2e-8b7d-4e3a-9c5b-2d4f6e8a0b13",
"ttsVoice": {
"id": "6a1f0c2e-8b7d-4e3a-9c5b-2d4f6e8a0b13",
"name": "Amjad",
"image": null,
"dialect": {
"name": "Palestine"
}
},
"includeBackgroundMusic": true,
"voiceOverBackgroundMusicId": "9a1f3b5c-7d2e-4f6a-8b0c-1d3e5f7a9b24",
"backgroundMusicStartOffset": 0,
"backgroundMusicEndOffset": 0,
"fadeIn": true,
"fadeOut": true
}
],
"voiceOverVideos": [
{
"id": "3e9a7c21-5b4d-4f8e-a1c2-7d6e5f4a3b29",
"status": "COMPLETED",
"generationStep": "FULLY_GENERATED",
"videoUrl": "https://cdn.example.com/voice-overs/video.mp4?Signature=...",
"style": "REALISTIC",
"aspectRatio": "9:16",
"includeSubtitles": true,
"captionStyle": "WORD_BY_WORD",
"transition": "FADE",
"kenBurnsEnabled": false,
"voiceOverSuggestionId": "c816c6f6-9d49-4b5d-8c87-4a7a24fc8af1",
"voiceOverVideoAttachments": [
{
"id": "7b2c9e41-3a5d-4f6b-8c1e-2d4f6a8b0c35",
"attachment": "https://cdn.example.com/voice-overs/reference.jpg?Signature=..."
}
],
"createdAt": "2026-11-04T09:12:44.000Z",
"updatedAt": "2026-11-04T09:16:02.000Z"
}
],
"latestVideo": {
"id": "3e9a7c21-5b4d-4f8e-a1c2-7d6e5f4a3b29",
"status": "COMPLETED",
"generationStep": "FULLY_GENERATED",
"videoUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2026-11-04T09:10:12.000Z"
}
],
"totalCount": 14,
"totalPages": 2,
"page": 1
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}Voice Overs
List Voice Overs
Your voice overs in this project, newest first, with their takes and videos. Voice overs belong to the person who made them: an API key sees and changes the voice overs of its creator in its project.
Needs Read on Voice overs (voice_overs:read).
GET
/
v2
/
voice-overs
List voice overs
curl --request GET \
--url https://api.tryhamsa.com/v2/voice-overs \
--header 'Authorization: <api-key>'import requests
url = "https://api.tryhamsa.com/v2/voice-overs"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.tryhamsa.com/v2/voice-overs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryhamsa.com/v2/voice-overs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tryhamsa.com/v2/voice-overs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tryhamsa.com/v2/voice-overs")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryhamsa.com/v2/voice-overs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "success",
"data": {
"voiceOvers": [
{
"id": "bd0ebca4-a16e-488b-b195-4690792259c7",
"title": "A 30-second ad for a new coffee shop in Cairo",
"prompt": "A 30-second ad for a new coffee shop in Cairo",
"media": null,
"type": "COMMERCIAL",
"status": "APPROVED",
"totalCost": 2,
"voiceOverSuggestions": [
{
"id": "c816c6f6-9d49-4b5d-8c87-4a7a24fc8af1",
"status": "COMPLETED",
"approved": true,
"audio": "https://cdn.example.com/voice-overs/take.wav?Signature=...",
"voiceOverText": "ابدأ يومك بقهوة تستحقها...",
"ttsVoiceId": "6a1f0c2e-8b7d-4e3a-9c5b-2d4f6e8a0b13",
"ttsVoice": {
"id": "6a1f0c2e-8b7d-4e3a-9c5b-2d4f6e8a0b13",
"name": "Amjad",
"image": null,
"dialect": {
"name": "Palestine"
}
},
"includeBackgroundMusic": true,
"voiceOverBackgroundMusicId": "9a1f3b5c-7d2e-4f6a-8b0c-1d3e5f7a9b24",
"backgroundMusicStartOffset": 0,
"backgroundMusicEndOffset": 0,
"fadeIn": true,
"fadeOut": true
}
],
"voiceOverVideos": [
{
"id": "3e9a7c21-5b4d-4f8e-a1c2-7d6e5f4a3b29",
"status": "COMPLETED",
"generationStep": "FULLY_GENERATED",
"videoUrl": "https://cdn.example.com/voice-overs/video.mp4?Signature=...",
"style": "REALISTIC",
"aspectRatio": "9:16",
"includeSubtitles": true,
"captionStyle": "WORD_BY_WORD",
"transition": "FADE",
"kenBurnsEnabled": false,
"voiceOverSuggestionId": "c816c6f6-9d49-4b5d-8c87-4a7a24fc8af1",
"voiceOverVideoAttachments": [
{
"id": "7b2c9e41-3a5d-4f6b-8c1e-2d4f6a8b0c35",
"attachment": "https://cdn.example.com/voice-overs/reference.jpg?Signature=..."
}
],
"createdAt": "2026-11-04T09:12:44.000Z",
"updatedAt": "2026-11-04T09:16:02.000Z"
}
],
"latestVideo": {
"id": "3e9a7c21-5b4d-4f8e-a1c2-7d6e5f4a3b29",
"status": "COMPLETED",
"generationStep": "FULLY_GENERATED",
"videoUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"createdAt": "2026-11-04T09:10:12.000Z"
}
],
"totalCount": 14,
"totalPages": 2,
"page": 1
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}{
"code": 8404,
"message": "Policy not found!",
"messageKey": "PolicyNotFound",
"params": {
"reason": "NO_DRAFT"
}
}Authorizations
Query Parameters
Was this page helpful?